#! /bin/sh
#
#

usage() {
	echo "generator.sh <# instances> <time> <density> <dest dir>"
}

if [ $# -ne 4 ]; then
	usage
	exit 1
fi

N_INST=$1
shift
TIME=$1
shift
DENSITY=$1
shift
DESTDIR=$1
shift

I=1
while [ $I -le $N_INST ]
do
	./instanceGenerator.pl --time=$TIME --density=$DENSITY > $DESTDIR/$I-solitaire-$TIME-0.asp

	I=`expr $I + 1`
done
